import { COINGECKO_API_KEY as e, coingeckoPriceUrl as t, coingeckoPriceUrl2 as n, coingeckoTokenListUrl as r, proHeader as i } from "../constants/coingecko.constants.mjs";
import a from "axios";
//#region libs/shared/common/src/API/getCoingeckoPrice.ts
async function o(n) {
	return (await a.get(t(n), { headers: { [i]: e || "" } })).data[n];
}
async function s(t, r) {
	return (await a.get(n(t, r), { headers: { [i]: e || "" } })).data[t];
}
async function c(n) {
	return (await a.get(t(n), { headers: { [i]: e || "" } })).data;
}
async function l() {
	return await a.get(r);
}
//#endregion
export { o as getCoingeckoPrice, s as getCoingeckoPrice2, c as getCoingeckoPrices, l as getCoingeckoTokenList };
